## parlatype-libreoffice-extension 3.0

=== meson_options.txt ===
option(
	'bundled',
	type: 'boolean',
	value: false,
	description: 'Install as bundle, otherwise create OTX package'
)

option(
	'libreoffice-dir',
	type: 'string',
	value: '/usr/lib/libreoffice',
	description: 'Directory to install LibreOffice extension'
)

## parlatype-libreoffice-extension 2.1

=== debian/changelog ===
parlatype-libreoffice-extension (2.1-2) unstable; urgency=medium

  * d/control: Fix Breaks+Replaces parlatype-libreoffice-helpers.
    Thanks to Andreas Beckmann (Closes: #978100)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Sun, 27 Dec 2020 20:15:15 +0100

parlatype-libreoffice-extension (2.1-1) unstable; urgency=medium

  * New upstream version 2.1 to unstable
  * d/control:
    - Bump Standards-Version to 4.5.1 (no changes needed)
    - Remove dependency on python3-pkg-resources
    - Depend on parlatype 2.1
    - Update Vcs fields after user name change
  * d/rules: Remove override (solved upstream)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Sat, 12 Dec 2020 12:02:36 +0100

parlatype-libreoffice-extension (2.0-2) experimental; urgency=medium

  * Rename to libreoffice-parlatype (Closes: #964462)
  * Bump debhelper version to 13 (no changes)
  * Add temporary b-d on python3-pkg-resources (Bug #965033)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Thu, 16 Jul 2020 15:53:13 +0200

parlatype-libreoffice-extension (2.0-1) experimental; urgency=medium

  * Initial release (Closes: 954406)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Sun, 22 Mar 2020 11:18:04 +0100

=== debian/control ===
Source: parlatype-libreoffice-extension
Section: sound
Priority: optional
Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
Build-Depends: appstream,
               appstream-util,
               debhelper-compat (= 13),
               meson (>= 0.47.2)
Standards-Version: 4.5.1
Homepage: https://www.parlatype.org/
Vcs-Git: https://salsa.debian.org/gkarsay/parlatype-libreoffice-extension.git
Vcs-Browser: https://salsa.debian.org/gkarsay/parlatype-libreoffice-extension
Rules-Requires-Root: no

Package: libreoffice-parlatype
Architecture: all
Depends: ${misc:Depends},
         libreoffice-script-provider-python,
         parlatype (>= 2.1)
Enhances: libreoffice-writer
Breaks: parlatype-libreoffice-helpers (<< 2)
Replaces: parlatype-libreoffice-helpers (<< 2)
Description: LibreOffice Extension for Parlatype
 Controls Parlatype from within LibreOffice. Adds a toolbar to link the
 current media file to the document and lets Parlatype go to timestamps on
 mouseclick or key navigation. A set of macros can be assigned to shortcuts,
 e.g. inserting timestamps.

## parlatype-libreoffice-extension 3.0

=== debian/changelog ===
parlatype-libreoffice-extension (3.0-1) unstable; urgency=medium

  * Add upstream's changed signing key
  * New upstream version 3.0
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Depend on parlatype >= 3.0
  * Add runtime dependencies python3-dbus, python3-gi
  * Add superficial autopkgtest
  * Update d/upstream/metadata (suggested by Debian Janitor)
  * Remove meson constraints (suggested by Debian Janitor)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Wed, 01 Dec 2021 21:18:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: appstream,
                appstream-util,
                debhelper-compat (= 13),
-               meson (>= 0.47.2)
-Standards-Version: 4.5.1
+               meson
+Standards-Version: 4.6.0
 Homepage: https://www.parlatype.org/
 Vcs-Git: https://salsa.debian.org/gkarsay/parlatype-libreoffice-extension.git
 Vcs-Browser: https://salsa.debian.org/gkarsay/parlatype-libreoffice-extension
@@ -16,7 +16,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          libreoffice-script-provider-python,
-         parlatype (>= 2.1)
+         parlatype (>= 3.0),
+         python3-dbus,
+         python3-gi
 Enhances: libreoffice-writer
 Breaks: parlatype-libreoffice-helpers (<< 2)
 Replaces: parlatype-libreoffice-helpers (<< 2)

=== debian/tests/control ===
Tests: extension-installed-test
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/gkarsay/parlatype-libreoffice-extension/releases .*/parlatype-libreoffice-extension-(\d\S*)\.tar\.gz

## parlatype-libreoffice-extension 3.1.1

=== debian/changelog ===
parlatype-libreoffice-extension (3.1.1-2) unstable; urgency=medium

  * Add build dependency libreoffice-core.
    Thanks to Rene Engelhard for providing the fix (Closes: #1052052)
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Fix mismatched lintian override

 -- Gabor Karsay <gabor.karsay@gmx.at>  Thu, 02 Nov 2023 22:33:35 +0100

parlatype-libreoffice-extension (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * Add copyright for new file imported from LibreOffice
  * Add dependencies for new test suite
  * Add autopkgtest running test suite
  * Add upstream patch to prevent python bytecode

 -- Gabor Karsay <gabor.karsay@gmx.at>  Tue, 21 Dec 2021 19:54:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,14 @@
 Priority: optional
 Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
 Build-Depends: appstream,
-               appstream-util,
+               appstream-util <!nocheck>,
                debhelper-compat (= 13),
-               meson
-Standards-Version: 4.6.0
+               libreoffice-core <!nocheck>,
+               libreoffice-writer-nogui <!nocheck>,
+               libreoffice-script-provider-python <!nocheck>,
+               meson,
+               python3-dbus <!nocheck>
+Standards-Version: 4.6.2
 Homepage: https://www.parlatype.org/
 Vcs-Git: https://salsa.debian.org/gkarsay/parlatype-libreoffice-extension.git
 Vcs-Browser: https://salsa.debian.org/gkarsay/parlatype-libreoffice-extension

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -Dbundled=true

%:
	dh $@ --buildsystem=meson

=== debian/tests/control ===
Tests: extension-installed-test
Depends: @
Restrictions: superficial

Tests: unit-tests
Depends: @,libreoffice-core,libreoffice-writer-nogui
# allow-stderr because of this warning:
# failed to launch javaldx - java may not function correctly
Restrictions: allow-stderr

## parlatype-libreoffice-extension 4.3

=== debian/changelog ===
parlatype-libreoffice-extension (4.3-1) unstable; urgency=medium

  * New upstream version 4.3
  * Update homepage to www.parlatype.xyz (Closes: #1077849)
  * d/control: switch appstream-util to appstream (Closes: #1119103)
  * d/control: remove redundant Rules-Requires-Root
  * Update watch file
  * Remove upstream patch
  * Bump Standards-Version to 4.7.3 (removed Priority field)
  * Depend on parlatype (>= 4.2)
  * tests: use new extension id xyz.parlatype.loextension
  * tests: update pythonpath
  * Install upstream NEWS

 -- Gabor Karsay <gabor.karsay@gmx.at>  Fri, 09 Jan 2026 17:46:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
 Source: parlatype-libreoffice-extension
 Section: sound
-Priority: optional
 Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
 Build-Depends: appstream,
-               appstream-util <!nocheck>,
+               appstream <!nocheck>,
                debhelper-compat (= 13),
                libreoffice-core <!nocheck>,
                libreoffice-writer-nogui <!nocheck>,
                libreoffice-script-provider-python <!nocheck>,
                meson,
                python3-dbus <!nocheck>
-Standards-Version: 4.6.2
-Homepage: https://www.parlatype.org/
+Standards-Version: 4.7.3
+Homepage: https://www.parlatype.xyz/
 Vcs-Git: https://salsa.debian.org/gkarsay/parlatype-libreoffice-extension.git
 Vcs-Browser: https://salsa.debian.org/gkarsay/parlatype-libreoffice-extension
-Rules-Requires-Root: no
 
 Package: libreoffice-parlatype
 Architecture: all
 Depends: ${misc:Depends},
          libreoffice-script-provider-python,
-         parlatype (>= 3.0),
+         parlatype (>= 4.2),
          python3-dbus,
          python3-gi
 Enhances: libreoffice-writer
